import type { App } from "../core/app.js";
export declare class AppleClientSecretCreate {
    app: App;
    ClientId: string;
    TeamId: string;
    KeyId: string;
    PrivateKey: string;
    Duration: number;
    constructor(app: App);
    Validate(): Error | null;
    Submit(): {
        secret: string;
        error: Error | null;
    };
}
export declare function NewAppleClientSecretCreate(app: App): AppleClientSecretCreate;
